<?php

namespace Drupal\wordfilter\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Wordfilter configuration entities.
 */
interface WordfilterConfigurationInterface extends ConfigEntityInterface {
  /**
   * Get the filter words.
   *
   * @return array
   *  An array of the filter words.
   */
  public function getFilterWords();

  /**
   * @param mixed $words
   *   A string or array of filter words.
   *   As a string, multiple words are to be separated by ", ".
   */
  public function setFilterWords($words);
  
  /**
   * Get the substitution string.
   * 
   * @return string
   */
   public function getSubstitute();
   
  /**
   * Set the substitution string.
   *
   * @param string $substitute
   *   The substitution string.
   */
   public function setSubstitute($substitute);
}
